classification
Title: Wrong links in the gettext.NullTranslations class
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, linkid, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-10-02 20:04 by linkid, last changed 2017-10-24 08:01 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3860 merged serhiy.storchaka, 2017-10-02 21:07
PR 3886 merged python-dev, 2017-10-04 17:29
PR 4100 merged serhiy.storchaka, 2017-10-24 07:26
Messages (5)
msg303563 - (view) Author: (linkid) * Date: 2017-10-02 20:04
In gettext.NullTranslations class doc [0], links to gettext and ngettext methods are not consistent.

[0] https://docs.python.org/3/library/gettext.html#the-nulltranslations-class
msg303565 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-02 21:09
Good catch linkid! PR 3860 fixes these and several other gettext related links.
msg303718 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-04 17:28
New changeset c02a1f4ad8fcdbffad2911c5a31c71a17a89d713 by Serhiy Storchaka in branch 'master':
bpo-31667: Fix gettext related links. (#3860)
https://github.com/python/cpython/commit/c02a1f4ad8fcdbffad2911c5a31c71a17a89d713
msg303722 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-04 18:06
New changeset ed77fbffa5bf81c8d16700370fe8bb63bbae1428 by Serhiy Storchaka (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31667: Fix gettext related links. (GH-3860) (#3886)
https://github.com/python/cpython/commit/ed77fbffa5bf81c8d16700370fe8bb63bbae1428
msg304869 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-24 07:59
New changeset ef346a2473376c888ff160db9623eaa9871db2ac by Serhiy Storchaka in branch '2.7':
[2.7] bpo-31667: Fix gettext related links. (GH-3860) (#4100)
https://github.com/python/cpython/commit/ef346a2473376c888ff160db9623eaa9871db2ac
History
Date User Action Args
2017-10-24 08:01:17serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-10-24 07:59:24serhiy.storchakasetmessages: + msg304869
2017-10-24 07:26:35serhiy.storchakasetpull_requests: + pull_request4070
2017-10-04 18:06:12serhiy.storchakasetmessages: + msg303722
2017-10-04 17:29:36python-devsetpull_requests: + pull_request3861
2017-10-04 17:28:23serhiy.storchakasetmessages: + msg303718
2017-10-02 21:09:31serhiy.storchakasetnosy: + serhiy.storchaka

messages: + msg303565
versions: + Python 2.7, - Python 3.5
2017-10-02 21:07:57serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request3840
2017-10-02 20:04:55linkidcreate